/**
 * Copyright 2008 Bluestem Software LLC.  All Rights Reserved.
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

package org.bluestemsoftware.open.eoa.ext.dependency.maven20.dependency;

import java.io.File;
import java.util.List;
import java.util.Map;

import org.bluestemsoftware.specification.eoa.ComponentDependency;
import org.bluestemsoftware.specification.eoa.ModuleDependency;
import org.bluestemsoftware.specification.eoa.ext.dependency.maven20.MavenComponentDependency;

public class ComponentDependencyImpl extends AbstractDeploymentDependency implements MavenComponentDependency {

    private List<ComponentDependency> componentDependencies;
    private Map<String, ModuleDependency> moduleDependencies;

    public ComponentDependencyImpl(File file, String organizationID, String artifactID, String version,
            String extension) {
        super(file, organizationID, artifactID, version, extension);
    }

    /*
     * (non-Javadoc)
     * @see org.bluestemsoftware.specification.eoa.ComponentDependency#getComponentDependencies()
     */
    public List<ComponentDependency> getComponentDependencies() {
        return componentDependencies;
    }

    /*
     * (non-Javadoc)
     * @see org.bluestemsoftware.specification.eoa.ComponentDependency#getModuleDependencies()
     */
    public Map<String, ModuleDependency> getModuleDependencies() {
        return moduleDependencies;
    }

    public void setComponentDependencies(List<ComponentDependency> componentDependencies) {
        this.componentDependencies = componentDependencies;
    }
    
    public void setModuleDependencies(Map<String, ModuleDependency> moduleDependencies) {
        this.moduleDependencies = moduleDependencies;
    }

}
