/**
 * Copyright 2008 Bluestem Software LLC.  All Rights Reserved.
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

package org.bluestemsoftware.open.eoa.ext.dependency.maven20.dependency;

import java.io.File;

import org.bluestemsoftware.specification.eoa.ext.dependency.maven20.MavenSharedDependency;

public final class SharedDependencyImpl extends AbstractDependency implements MavenSharedDependency {

    private boolean isRequired;
    
    public SharedDependencyImpl(File file, String organizationID, String artifactID, String version,
            String extension, boolean isRequired) {
        super(file, organizationID, artifactID, version, extension);
        this.isRequired = isRequired;
    }    
    
    /*
     * (non-Javadoc)
     * @see org.bluestemsoftware.specification.eoa.ext.dependency.maven20.MavenSharedDependency#isRequired()
     */
    public boolean isRequired() {
        return isRequired;
    }

}
